//

//CCommand.h A command class


/*******************************************************
//
//	Name: CCommand.h
//
//	Author: Dave Ratti
//
//	Date:3-11-00
//
//	Modified: Constantly
//
//	Notes: This class holds everything we need for
//	using Direct Input. It will handle the mouse
//  Keyboard and joystick. This class will be 
//	inheritid by CInputManager along with CTimer and CNetMessage
//
//
*********************************************************/
//watch for double include
#ifndef CCOMMAND_H
#define CCOMMAND_H



///////////////////////////////////////////////////////////

class CCommand
{
public:

	CCommand(){ }
	CCommand(int key){ Init(key); }
	CCommand(int mb, bool mouse){ Init(mb, mouse); }
	~CCommand(){  }

	void Init(int key);
	void Init(int key, bool _Mouse);

	bool Mouse;
	bool mustRelease;
	bool isReleased;
	float CoolDownTime;
	int Key;

	bool isActive();

protected:

	int count;
	//LARGE_INTEGER lastAction;
	

};

#endif